/*
 * DigitalClock.h
 *
 *  Created on: 03/giu/2013
 *      Author: bertini
 */

#ifndef DIGITALCLOCK_H_
#define DIGITALCLOCK_H_

#include "Observer.h"
#include "Timer.h"

class DigitalClock: public Observer {
public:
	DigitalClock(Timer* in);
	virtual ~DigitalClock();

	virtual void update();
	virtual void attach();
	virtual void detach();

	void displayTime();

private:
	int time;
	Timer* subject;
};

#endif /* DIGITALCLOCK_H_ */
