/*
 * Subject.h
 *
 *  Created on: 07/giu/2012
 *      Author: bertini
 */

#ifndef SUBJECT_H_
#define SUBJECT_H_

#include "Observer.h"

class Subject {
public:
	virtual ~Subject() {};

	virtual void subscribe(Observer* in) = 0;
	virtual void unsubscribe(Observer* out) = 0;
	virtual void notify() = 0;
};

#endif /* SUBJECT_H_ */
